Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSShape Class Reference

CSShape objects represent free shape that can be added to whiteboard surface. More...

`#import <CSShape.h>`

Inherits CSBasicShape.

## Instance Methods
(void) | - updateShapeWithPoints:
| Updates shape with array of new points. More...

## Properties
NSMutableArray * | points
| Array of points that shape is made with. More...
BOOL | filled
| Indicates whether shape is filled. More...
BOOL | finished
| Indicates whether is finished. More...
Properties inherited from CSBasicShape
NSString * | shapeId
| The shape ID associated with the particular shape object. More...
NSUInteger | color
| Color of shape in ARGB format. More...
CGFloat | width
| Width of shape. More...
CGPoint | translation
| Geometric translation of shape. More...
CSShapeSelectionStatus | selectionStatus
| Status of CSBasicShape sent to server. More...
BOOL | mine
| Indicates whether shape is created by local user. More...
NSString * | ownerDisplayName
| Display name of user who created shape. More...

## Detailed Description

CSShape objects represent free shape that can be added to whiteboard surface.

CSShape is build from points which can be connected or not. Client doesn't need to use this class explicitly unless custom whiteboard is developed.

See also
  CSWhiteboardSurface

## Method Documentation

- (void) updateShapeWithPoints: |  | (NSArray *) | points |

Updates shape with array of new points.

Parameters

  points | Array containing CSShapePoint object that shape should be updated with.

## Property Documentation

- (BOOL) filled
| read nonatomic assign

Indicates whether shape is filled.

- (BOOL) finished
| read nonatomic assign

Indicates whether is finished.

- (NSMutableArray*) points
| read nonatomic strong

Array of points that shape is made with.

Array contains objects of CSShapePoint class.

See also
  CSShapePoint

The documentation for this class was generated from the following file:

- CSShape.h